# devRanta

devRanta is an async devrant client written in and for Python.
Authentication is only needed for half of the functionality and thus username and password are optional parameters by constructing the main class of this package (Api).

## Running
```
make run
```

## Testing
Tests are only made for methods not requireing authentication.
I do not see value in mocking requests.
```
make test
```

## How to use
Implementation:
```
from devranta.api import Api 

api = Api(username="optional!", password="optional!")

async def list_rants():
    async for rant in api.get_rants():
        print(rant["user_username"], ":", rant["text"])
```
See [tests](src/devranta/tests.py) for [examples](src/devranta/tests.py) on how to use. 

## Todo 

 - voting comment 
 - edit message 

